<?php

require_once '../../ayar/Config.php';
require_once '../System/Class/Admin.Class.php';
    $Admin = new Admin();
require_once '../System/Class/Sayfa.Class.php';
    $Sayfa = new SK();
require_once '../System/Class/urunler.Class.php';
    $urun = new urun();
require_once '../System/Class/Blog.Class.php';
    $blog = new blog();
require_once '../System/Class/iletisim.Class.php';
    $iletisim = new iletisim();
require_once '../System/Class/Modul.Class.php';
    $Modul = new Modul();


if(@$_SESSION['admin']) {
  define("Hacking","Hacking");
  if($_POST)
  {
    $id = $_POST["id"];
    $kategori = $_POST["kategori"];
    $durum = $_POST["durum"];
    if($durum=="aktif")
      $sliderdurum=1;
    else
      $sliderdurum=0;

    if($kategori == "sayfalar")
    {
      $guncelle = $db->update('sayfalar')
      ->where('sayfa_id',$id)
      ->set(array(
             'aktifkontrol' => $durum
          ));
          if($guncelle)
          {
            echo "ok";
          }
          else {
            echo "error";
          }
    }
    if($kategori == "slider")
    {

      $guncelle = $db->update('slider')
      ->where('id',$id)
      ->set(array(
             'resim_goster' => $sliderdurum
          ));
          if($guncelle)
          {
            echo "ok";
          }
          else {
            echo "error";
          }
    }
    if($kategori == "urunler")
    {
      $guncelle = $db->update('urunler')
      ->where('urun_id',$id)
      ->set(array(
             'aktifkontrol' => $durum
          ));
          if($guncelle)
          {
            echo "ok";
          }
          else {
            echo "error";
          }
    }
    if($kategori == "galeri")
    {
      $guncelle = $db->update('galeri')
      ->where('id',$id)
      ->set(array(
             'aktifkontrol' => $durum
          ));
          if($guncelle)
          {
            echo "ok";
          }
          else {
            echo "error";
          }
    }
    if($kategori == "video")
    {
      $guncelle = $db->update('video')
      ->where('id',$id)
      ->set(array(
             'aktifkontrol' => $durum
          ));
          if($guncelle)
          {
            echo "ok";
          }
          else {
            echo "error";
          }
    }
    if($kategori == "personel")
    {
      $guncelle = $db->update('personel')
      ->where('id',$id)
      ->set(array(
             'aktifkontrol' => $durum
          ));
          if($guncelle)
          {
            echo "ok";
          }
          else {
            echo "error";
          }
    }
    if($kategori == "blog")
    {
      $guncelle = $db->update('blog')
      ->where('blog_id',$id)
      ->set(array(
             'aktifkontrol' => $durum
          ));
          if($guncelle)
          {
            echo "ok";
          }
          else {
            echo "error";
          }
    }
    if($kategori == "sss")
    {
      $guncelle = $db->update('sayfalar')
      ->where('sayfa_id',$id)
      ->set(array(
             'aktifkontrol' => $durum
          ));
          if($guncelle)
          {
            echo "ok";
          }
          else {
            echo "error";
          }
    }
    if($kategori == "markalar")
    {
      $guncelle = $db->update('markalar')
      ->where('id',$id)
      ->set(array(
             'aktifkontrol' => $durum
          ));
          if($guncelle)
          {
            echo "ok";
          }
          else {
            echo "error";
          }
    }
    if($kategori == "referans")
    {
      $guncelle = $db->update('referans')
      ->where('id',$id)
      ->set(array(
             'aktifkontrol' => $durum
          ));
          if($guncelle)
          {
            echo "ok";
          }
          else {
            echo "error";
          }
    }

  }
}


 ?>
